Loading...
Searching...
No Matches
BFGS< FunctorType >::Parameters Struct Reference

`#include <pcl/registration/bfgs.h>`

## Public Member Functions

| Parameters ()

## Public Attributes

Index | max_iters
Index | bracket_iters
Index | section_iters
Scalar | rho
Scalar | sigma
Scalar | tau1
Scalar | tau2
Scalar | tau3
Scalar | step_size
Index | order

## Detailed Description

template<typename FunctorType>
struct BFGS< FunctorType >::Parameters

Definition at line 130 of file bfgs.h.

## Constructor & Destructor Documentation

## Parameters()

template<typename FunctorType>

BFGS< FunctorType >::Parameters::Parameters | ( |  | ) |

inline

Definition at line 131 of file bfgs.h.

References bracket_iters, max_iters, order, rho, section_iters, sigma, step_size, tau1, tau2, and tau3.

## Member Data Documentation

## bracket_iters

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::bracket_iters

Definition at line 144 of file bfgs.h.

Referenced by Parameters().

## max_iters

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::max_iters

Definition at line 143 of file bfgs.h.

Referenced by Parameters().

## order

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::order

Definition at line 152 of file bfgs.h.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::estimateRigidTransformationBFGS(), and Parameters().

## rho

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::rho

Definition at line 146 of file bfgs.h.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::estimateRigidTransformationBFGS(), and Parameters().

## section_iters

template<typename FunctorType>

Index BFGS< FunctorType >::Parameters::section_iters

Definition at line 145 of file bfgs.h.

Referenced by Parameters().

## sigma

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::sigma

Definition at line 147 of file bfgs.h.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::estimateRigidTransformationBFGS(), and Parameters().

## step_size

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::step_size

Definition at line 151 of file bfgs.h.

Referenced by Parameters().

## tau1

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::tau1

Definition at line 148 of file bfgs.h.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::estimateRigidTransformationBFGS(), and Parameters().

## tau2

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::tau2

Definition at line 149 of file bfgs.h.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::estimateRigidTransformationBFGS(), and Parameters().

## tau3

template<typename FunctorType>

Scalar BFGS< FunctorType >::Parameters::tau3

Definition at line 150 of file bfgs.h.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget, Scalar >::estimateRigidTransformationBFGS(), and Parameters().

The documentation for this struct was generated from the following file:

- pcl/registration/bfgs.h